ublas: boost::numeric::ublas::bounded_matrix< T, M, N, L > Class Template Reference

# boost::numeric::ublas::bounded_matrix< T, M, N, L > Class Template Reference

A dense matrix of values of type `T` with a variable size bounded to a maximum of by . More...

Inherits matrix< T, L, bounded_array< T, M *N > >.

List of all members.

## Public Types

typedef matrix_type::size_type | size_type

## Public Member Functions

BOOST_UBLAS_INLINE | bounded_matrix (size_type size1, size_type size2)
BOOST_UBLAS_INLINE | bounded_matrix (const bounded_matrix &m)
template<class A2 >
BOOST_UBLAS_INLINE | bounded_matrix (const matrix< T, L, A2 > &m)
template<class AE >
BOOST_UBLAS_INLINE | bounded_matrix (const matrix_expression< AE > &ae)
BOOST_UBLAS_INLINE bounded_matrix & | operator= (const bounded_matrix &m)
template<class L2 , class A2 >
BOOST_UBLAS_INLINE bounded_matrix & | operator= (const matrix< T, L2, A2 > &m)
template<class C >
BOOST_UBLAS_INLINE bounded_matrix & | operator= (const matrix_container< C > &m)
template<class AE >
BOOST_UBLAS_INLINE bounded_matrix & | operator= (const matrix_expression< AE > &ae)

## Static Public Attributes

static const size_type | max_size1 = M
static const size_type | max_size2 = N

## Detailed Description

### template<class T, std::size_t M, std::size_t N, class L>
class boost::numeric::ublas::bounded_matrix< T, M, N, L >

For a -dimensional matrix and , every element is mapped to the -th element of the container for row major orientation or the -th element of the container for column major orientation. Finally in a dense matrix all elements are represented in memory in a contiguous chunk of memory.

Orientation can be specified. Default is `row_major` The default constructor creates the matrix with size by . Elements are constructed by the storage type `bounded_array`, which need not initialise their value.

Template Parameters:

  | T | the type of object stored in the matrix (like double, float, complex, etc...)
  | M | maximum and default number of rows (if not specified at construction)
  | N | maximum and default number of columns (if not specified at construction)
  | L | the storage organization. It can be either `row_major` or `column_major`. Default is `row_major`